# Copyright (C) 2010 Association of Universities for Research in Astronomy(AURA)
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
# 
#     1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
# 
#     2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
# 
#     3. The name of AURA and its representatives may not be used to
#       endorse or promote products derived from this software without
#       specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY AURA ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL AURA BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
# BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS
# OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
# TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH
# DAMAGE.
"""
General Workflow class, inheriting from base Workflow class
"""
from eunomia import workflow

class GenWorkflow(workflow.Workflow):
    """
    """
    def getExtraKeywords(self, codeRoot, repository, dataset, workDir, flavour, 
                         extraEnvironment):
        return({
#                'INPATH': workDir,
#                'OUTPATH': workDir,
#                'OK_TO_UPDATE_DATABASE':'FALSE',
#                'UPDATE_EXPOSURE_TIMES':'update_exposure_times',
#                'FGS_PATH_NAME':'FGS_PATH',
#                'FGS_DATA_ID':'fgs',
#                'FGS_RCHECK_COLUMN':'RJ',
#                'FGS_HOLD_STATUS':'h',
#                'FGS_RESTART_STATUS':'w',
#                'DO_PMDB_PDB_COMPARISON':'TRUE',
#                'DV_INPATH': workDir,
#                'GC_INPATH': workDir,
#                'GC_OUTPATH': workDir,
#                'DRIZZLE_TYPE':'MULTIDRIZZLE',
#                'INSTRUMENT':'ACS',
#                'INST_CODE':'J',
#                'SS_OUTPATH': workDir,
#                'OSF_DATASET': dataset,
                'repository': repository})

